| Method | URI | Description |
|---|---|---|
| POST | /v2/{tenant_id}/servers/{server_id}/action | Live-migrates a server to a new host without rebooting. |
Normal response codes: 202
This table shows the URI parameters for the live-migrate server request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| UUID | The UUID for the server of interest to you. |
Example 3.21. Live-migrate server: JSON request
{
"os-migrateLive": {
"host": "0443e9a1254044d8b99f35eace132080",
"block_migration": false,
"disk_over_commit": false
}
}Example 3.22. Live-migrate server: XML request
<?xml version="1.0" encoding="UTF-8" ?>
<os-migrateLive>
<host>6217bf142bb3491995f966af999f9f23</host>
<block_migration>false</block_migration>
<disk_over_commit>false</disk_over_commit>
</os-migrateLive>This operation does not require a request body.

